Package: java.lang

## Class Enum

- - ### Methods Summary

    Methods
    Return type | Name and parameters
    --- | ---
    `Object` | `next()` Overloads the `++` operator for enums.
    `Object` | `previous()` Overloads the `--` operator for enums.

  - #### Methods inherited from class java.lang.Object

    `addShutdownHook`, `any`, `any`, `asBoolean`, `asType`, `collect`, `collect`, `collect`, `dump`, `each`, `eachMatch`, `eachMatch`, `eachWithIndex`, `every`, `every`, `find`, `find`, `findAll`, `findAll`, `findIndexOf`, `findIndexOf`, `findIndexValues`, `findIndexValues`, `findLastIndexOf`, `findLastIndexOf`, `findResult`, `findResult`, `findResult`, `findResult`, `getAt`, `getMetaClass`, `getMetaPropertyValues`, `getProperties`, `grep`, `grep`, `hasProperty`, `identity`, `inject`, `inject`, `inspect`, `invokeMethod`, `is`, `isCase`, `isNotCase`, `iterator`, `metaClass`, `print`, `print`, `printf`, `printf`, `println`, `println`, `println`, `putAt`, `respondsTo`, `respondsTo`, `setMetaClass`, `split`, `sprintf`, `sprintf`, `stream`, `tap`, `toString`, `use`, `use`, `use`, `with`, `with`, `withCloseable`, `withMethodClosure`, `withStream`, `withTraits`

  - #### Methods inherited from interface java.lang.Comparable

    `numberAwareCompareTo`

- - ### Methods Detail

    - #### public Object next()

      Overloads the `++` operator for enums. It will invoke Groovy's default next behaviour for enums that do not have their own next method.

      Returns:
        the next defined enum from the enum class
      Since:
        1.5.2

    - #### public Object previous()

      Overloads the `--` operator for enums. It will invoke Groovy's default previous behaviour for enums that do not have their own previous method.

      Returns:
        the previous defined enum from the enum class
      Since:
        1.5.2